<Wix xmlns="http://wixtoolset.org/schemas/v4/wxs">
  <Fragment>
    <ComponentGroup Id="WindowsPerf">
      <!-- WindowsPerf Application component -->
      <Component Guid="D9819E34-DB89-4E7B-9EE3-3906B0DDB7B8" Directory="INSTALLFOLDERAPP">
        <File Source="!(wix.ReleaseFolder)wperf\wperf.exe" />
        <File Source="!(wix.ReleaseFolder)wperf\wperf-etw-manifest.xml" />
        <File Source="!(wix.ReleaseFolder)wperf\wperf-app-wpr-profile.wprp" />

        <Environment
              Id="PATH"
              Name="PATH"
              Value="[INSTALLFOLDERAPP]"
              Permanent="no"
              Part="last"
              Action="set"
              System="yes" />

      </Component>
      
      <!-- WindowsPerf WPA Plugin -->
      <Component Guid="95B6221A-F5A3-4F19-AD68-33CDB2CB0BFE" Directory="INSTALLFOLDERWPA">
        <File Source="!(wix.ReleaseFolder)wperf-wpa-plugin\WPAPlugin.dll" />

        <Environment
            Id="WINDOWSPERF_PATH"
            Name="WINDOWSPERF_PATH"
            Value="[INSTALLFOLDER]"
            Permanent="no"
            Part="last"
            Action="set"
            System="yes" />

        <Environment
            Id="WPA_ADDITIONAL_SEARCH_DIRECTORIES"
            Name="WPA_ADDITIONAL_SEARCH_DIRECTORIES"
            Value="[INSTALLFOLDERWPA]"
            Permanent="no"
            Part="last"
            Action="set"
            System="yes" />
      </Component>
      
      <!-- WindowsPerf WPA Plugin ETL -->
      <Component Guid="EA102965-EC16-427D-B765-ADCB855414A1" Directory="INSTALLFOLDERWPA">
        <File Source="!(wix.ReleaseFolder)wperf-wpa-plugin-etl\wpa-plugin-etl.dll" />
      </Component>
      
      <!-- WindowsPerf Lib component -->
      <Component Guid="85B26301-A9A4-4EB1-A82D-C74AC4D4F00C" Directory="INSTALLFOLDERLIB">
        <File Source="!(wix.ReleaseFolder)lib\wperf-lib.lib" />
        <File Source="!(wix.ReleaseFolder)lib\wperf-lib.dll" />
        <File Source="!(wix.ReleaseFolder)lib\wperf-lib.h" />
      </Component>
      
      <!-- WindowsPerf Driver component -->
      <Component Guid="1F3B3DA2-E140-4765-8214-8309108A8875" Directory="INSTALLFOLDERDRIVER">
        <File Id="wperf_devgen" Source="!(wix.ReleaseFolder)wperf-driver\wperf-devgen.exe" />
        <File Source="!(wix.ReleaseFolder)wperf-driver\wperf-driver.sys" />
        <File Source="!(wix.ReleaseFolder)wperf-driver\wperf-driver.cat" />
        <File Source="!(wix.ReleaseFolder)wperf-driver\wperf-driver.inf" />
        <File Source="!(wix.ReleaseFolder)wperf-driver\wperf-driver-etw-manifest.xml" />
        <File Source="!(wix.ReleaseFolder)wperf-driver\wperf-wpr-profile.wprp" />
      </Component>
    </ComponentGroup>
  </Fragment>
</Wix>
